8

how to install exfat-utils and hddtemp on ubuntu 22.04 (at 20.04 they were available).

This commands doesn't work:

exfat-utils

sudo apt-get install exfat-utils
The exfat-utils package is not available, but some other package references it. This may mean that the package is missing, obsolete, or only available from some other source.

# or .deb for Ubuntu 21.10 (Impish Indri)

wget http://archive.ubuntu.com/ubuntu/pool/universe/e/exfat-utils/exfat-utils_1.3.0-2_amd64.deb
sudo dpkg -i exfat-utils_1.3.0-2_amd64.deb
dpkg: About exfat-utils_1.3.0-2_amd64.deb which contains exfat-utils:
  exfat-utils conflicts with exfatprogs
   exfatprogs (version 1.1.3-1) is present and installed.

hddtemp

sudo apt install hddtemp
The hddtemp package is not available, but some other package references it. This may mean that the package is missing, obsolete, or only available from some other source.

According to Ubuntu, these packages are available for 22.04. Check:

hddtemp and exfat-utils

2

3 Answers 3

24

To install the hddtemp package from Ubuntu 21.10 in Ubuntu 22.04 run the following commands:

sudo apt update
wget http://archive.ubuntu.com/ubuntu/pool/universe/h/hddtemp/hddtemp_0.3-beta15-53_amd64.deb  
sudo apt install ./hddtemp_0.3-beta15-53_amd64.deb

exfat-utils has been replaced by exfatprogs (tools to create, check and label exFAT filesystems) in Ubuntu 22.04 and later. To install exfatprogs in Ubuntu 22.04 and later run the following command:

sudo apt install exfatprogs

The tools included in this package are the exfatprogs maintained by Samsung engineers, who provided Linux exFAT support. A similar but independent implementation of these tools, written by the author of the exfat-fuse implementation, is available in the exfat-utils package.

Read and write support for the exFAT filesystem is implemented in the Linux kernel in versions 5.7 and later.

2
  • I am having issues with exfat on Ubuntu 22.04 that doesn't seem to happen on 20.04. Is 20.04 using the fuse-based exfat-utils? What would be a good way to switch to using that version, while making it easy to revert to exfatprogs in case it eventually gets fixed?
    – WolfLink
    Nov 12 at 18:13
  • 1
    exfat-utils is in the default repositories of Ubuntu 20.04 and earlier, and can be downloaded with wget http://mirrors.kernel.org/ubuntu/pool/universe/e/exfat-utils/exfat-utils_1.3.0-1_amd64.deb and installed in 22.04 with sudo apt install ./exfat-utils_1.3.0-1_amd64.deb The following new packages will be installed: exfat-fuse exfat-utils. Uninstall exfatprogs first with sudo apt remove exfatprogs
    – karel
    Nov 13 at 1:05
2

The new way to add exFAT support to Ubuntu 22.04 is to install the following package:

sudo apt install exfatprogs
1
0

you can use PPA for hddtemp (mentionned on https://launchpad.net/ubuntu/+source/hddtemp ) :

https://launchpad.net/~malcscott/+archive/ubuntu/ppa

1
  • As it’s currently written, your answer is unclear. Please edit to add additional details that will help others understand how this addresses the question asked. You can find more information on how to write good answers in the help center.
    – Community Bot
    Nov 5 at 12:47

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.